package com.fjhx.jushuitan.service.jst;

import com.fjhx.jushuitan.entity.jst.po.JstOrderPayInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderPayInfoVo;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderPayInfoSelectDto;
import com.fjhx.jushuitan.entity.jst.dto.JstOrderPayInfoDto;

import java.util.List;

/**
 * <p>
 * 聚水潭支付信息表 服务类
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
public interface JstOrderPayInfoService extends BaseService<JstOrderPayInfo> {

    /**
     * 聚水潭支付信息表列表
     */
    List<JstOrderPayInfoVo> getList(JstOrderPayInfoSelectDto dto);

    /**
     * 聚水潭支付信息表分页
     */
    Page<JstOrderPayInfoVo> getPage(JstOrderPayInfoSelectDto dto);

    /**
     * 聚水潭支付信息表明细
     */
    JstOrderPayInfoVo detail(Long id);

    /**
     * 聚水潭支付信息表新增
     */
    void add(JstOrderPayInfoDto jstOrderPayInfoDto);

    /**
     * 聚水潭支付信息表编辑
     */
    void edit(JstOrderPayInfoDto jstOrderPayInfoDto);

    /**
     * 聚水潭支付信息表删除
     */
    void delete(Long id);

}
